| Home | Libraries | People | FAQ | More

###### value::find_pointer (3 of 4 overloads)

Access an element via JSON Pointer.

###### Synopsis

    value const*
    find_pointer(
        string_view ptr,
        std::error_code& ec) const;

###### Description

This function is used to access a (potentially nested) element of the value using a JSON Pointer string.

###### Complexity

Linear in the sizes of `ptr` and underlying array, object, or string.

###### Exception Safety

No-throw guarantee.

###### Parameters

Name | Description
--- | ---
`ptr` | JSON Pointer string.
`ec` | Set to the error, if any occurred.

###### Return Value

pointer to the element identified by `ptr`.

###### See Also

RFC 6901 - JavaScript Object Notation (JSON) Pointer